--PLAYER_TALENT_UPDATE
function(e, msg)
    aura_env.talents = {}
    for row = 1, 7 do
        for column = 1, 3 do
            local id, name = GetTalentInfo(row, column, 1)
            local sel = select(10, GetTalentInfoByID(id))
            local sid = select(6, GetTalentInfoByID(id))
            if GetSpellBaseCooldown(sid) > 0 and sel == true then
                aura_env.talents[name] = sid
            end
        end
    end
    WeakAuras.ScanEvents("RESET_COOLDOWN_MANAGER")
    WeakAuras.ScanEvents("RESET_COOLDOWN_MANAGER_SPELLS")
    WeakAuras.ScanEvents("PLAYER_SPELLBOOK_UPDATE")
end